package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonIgnoreType;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
@NoArgsConstructor
public class FigureDTO {
    private static final long serialVersionUID = -1821068317406106793L;

    // 时间
    private List<String> timeList = new ArrayList<>();
    // 时间
    private List<List<BigDecimal>> dataList = new ArrayList<>();

    // 图例
    private List<String> legendList = new ArrayList<>();

}
