package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author user
 */
@Data
public class MarketChartDto {
    /**
     * 事件发生时间
     */
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private String month;
    /**
     * 总金额
     */
    private BigDecimal amountMonth;
}
