package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.util.StringUtils;

import java.util.List;

@Setter
@Getter
public class TransferBySnQueryParam extends QueryParam {

    //    @ApiModelProperty(value = "设备编号", name = "sn");
    public void setSn(String sn) {
        if (!StringUtils.isEmpty(sn)) {
            addParam(QueryParamExp.like("sn", "%".concat(sn).concat("%")));
        }

    }
}


