package cn.fastfun.service.entity;


import com.bridge.entity.DateEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author user
 */
@Getter
@Setter
@Entity
@Table(name="t_cell")
public class CellModel extends DateEntity {

    @ApiModelProperty(value = "单体型号", name = "cell_model", required = true)
    @Column(name="cell_model")
    private String cellModel;

    @ApiModelProperty(value = "操作者", name = "operator", required = true)
    @Column(name="operator")
    private String operator;
}
