package cn.fastfun.service.entity;


import com.bridge.entity.DateEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

@Getter
@Setter
@Entity
@Table(name="product_type")
public class Product extends DateEntity {


    @ApiModelProperty(value = "sn切片对应的类型", name = "sn_type", required = true)
    @Column(name="sn_type")
    private String snType;

    @ApiModelProperty(value = "sn切片对应的类型编号", name = "sn_type", required = true)
    @Column(name="sn_type_en")
    private Integer snTypeEn;

    @ApiModelProperty(value = "sn切片对应类型的实际数据描述", name = "sn_type_desc", required = true)
    @Column(name="sn_type_desc")
    private String snTypeDesc;

    @ApiModelProperty(value = "sn切片对应类型的实际数据编号", name = "sn_type_code", required = true)
    @Column(name="sn_type_code")
    private String snTypeCode;

    @ApiModelProperty(value = "操作者", name = "operator", required = true)
    @Column(name="operator")
    private String operator;

    @ApiModelProperty(value = "状态码", name = "status", required = true)
    @Column(name="status")
    private int status = 1;

}
