package cn.fastfun.service.entity;


import com.bridge.entity.IdEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


@Entity
@Table(name = "sys_user_role")
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class SysUserRole extends IdEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "用户", name = "userId", required = true)
    @Column(name = "user_id")
    private String userId;


    @ApiModelProperty(value = "角色Code", name = "roleCode", required = true)
    @Column(name = "role_code")
    private String roleCode;


}
