package cn.fastfun.controller.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zyg
 * @className PackDto
 * @date 2023年02月16日 14:23
 */
@Data
public class PackDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "单体型号")
    private String cellModel;

    @ApiModelProperty(value = "包型号")
    private String packModel;

    @ApiModelProperty(value = "电压采样点")
    private Integer voltCellAmount;

    @ApiModelProperty(value = "温度采样点")
    private Integer tempCellAmount;

    @ApiModelProperty(value = "id")
    private String id;
}
