package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author user
 */
@Data
public class DeviceLineDto {
    /**
     * 设备sn
     */
    private String sn;
    /**
     * 事件发生时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private String actionTime;
    /**
     * 事件动作编码
     */
    private String action;
    /**
     * 事件动作名称
     */
    private String actionName;

    /**
     * 调拨接收对象
     */
    private String destination;
}
