package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author user
 */
@Data
public class MarketingInformationDto {
    /**
     * 设备sn
     */
    private String sn;
    /**
     * 使用时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date usedTime;
    /**
     * 类型编码 1 优惠券 2 其他
     */
    private Integer type;
    /**
     * 类型名称
     */
    private String typeName;
    /**
     * 金额
     */
    private BigDecimal amount;
    /**
     * 说明
     */
    private String remark;
}
