package cn.fastfun.service.entity;

import java.beans.Transient;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 
 * </p>
 *
 * @author jek
 * @since 2021-11-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="AppAssetConf对象", description="")
public class AppAssetConf implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "1:租赁信息	2:运维信息	3:赔偿信息	4：营销信息	5：运营信息	6：金融成本	7：处置信息	8：其他")
    private Integer tableOrder;

    private Integer type;


    @ApiModelProperty(value = "费用")
    private BigDecimal amount;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "平台服务费发生时间")
    private Date time;

    @ApiModelProperty(value = "赔偿总支出")
    private Date addTime;

    @ApiModelProperty(value = "运输总费用")
    private Date updateTime;

    @ApiModelProperty(value = "逻辑删除 0 未删除， 1 已删除")
    private Integer isDelete;



}
